---
- entityDefinitions:
  - IDE_Protocol_Kidde_Subedits: '{4973e9b2-49eb-4efe-8006-3895ebe068f1}'
  - IDE_Protocol_Kidde_Subedit_Tabs: '{e9e7a000-4b72-40b6-955d-aeeaf82d6c71}'
  - IDE_Protocol_Kidde_Subedit_Network: '{9730e79d-b07b-4ca6-9498-19de08ed4438}'
  - IDA_KiddeAddress: '{10e8fcd9-12a0-4614-b30b-b62b32a1547d}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Protocol_Kidde_Subedits;'
    name: 'kidde subedits'
    elementContents:
    - globalIdentifier: '{7e721db2-abb6-4f8b-beb6-20a0d2bb51d8}'
      defaultDataType: '&IDE_Protocol_Kidde_Subedit_Tabs;'
      layout: '{f57a229d-832c-4bbf-9be6-39cef96eaa51}'
    
  - groupLayout: '{f57a229d-832c-4bbf-9be6-39cef96eaa51}'
    options:
    - instance: '&IDI_GroupLayoutOption_Tabbed;'

  - numericAttribute: '&IDA_KiddeAddress;'
    name: 'Kidde Address'

  - binarySwitchLayout: '{44392a21-68da-4b86-a858-3c39ce054abf}'

  - element: '&IDE_Protocol_Kidde_Subedit_Tabs;'
    elementContents:
    - globalIdentifier: '{7e1fc142-ee08-4409-97d0-e42994f22daa}'
      defaultDataType: '&IDE_Protocol_Kidde_Subedit_Network;'
      label: 'Kidde'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
  
  - element: '&IDE_Protocol_Kidde_Subedit_Network;'
    name: 'Network'
    elementContents:
    - globalIdentifier: '{7b401357-1eb5-4427-9198-57a1f14d1270}'
      defaultDataType: '&IDA_KiddeAddress;'
      layout: '{44392a21-68da-4b86-a858-3c39ce054abf}'
      label: 'Address'